ata_link_offline
Prev | Chapter 4. libata Library | Next

## Name

ata_link_offline — test whether the given link is offline

## Synopsis

`int ata_link_offline (` | struct ata_link * | link`)`;

## Arguments

`link`

  ATA link to test

## Description

Test whether `link` is offline. Note that this function returns 0 if offline status of `link` cannot be obtained, so ata_link_online(link) != !ata_link_offline(link).

## LOCKING

None.

## RETURNS

1 if the port offline status is available and offline.

Prev | Up | Next
ata_link_online | Home | ata_host_suspend